Package ru.bitel.bgbilling.modules.email.common.bean

# Class Domain

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.email.common.bean.Domain

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`

public class Domain extends Id implements GuiTitlable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Domain()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getName()`
  `ParameterMap`
  `getParameterMap()`
  `String`
  `getParams()`
  `int`
  `getPos()`
  `Domain`
  `inherit(Domain domain)`
  `Domain`
  `setComment(String comment)`
  `Domain`
  `setId(int id)`
  Устанавливает id объекта
  `Domain`
  `setName(String name)`
  `Domain`
  `setParams(String params)`
  `Domain`
  `setPos(int pos)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Domain

    public Domain()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getName

    public String getName()

  - ### getParameterMap

    public ParameterMap getParameterMap()

  - ### getParams

    public String getParams()

  - ### getPos

    public int getPos()

  - ### inherit

    public Domain inherit(Domain domain)

  - ### setComment

    public Domain setComment(String comment)

  - ### setId

    public Domain setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setName

    public Domain setName(String name)

  - ### setParams

    public Domain setParams(String params)

  - ### setPos

    public Domain setPos(int pos)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`